Subject: Re: [PATCH net-next-2.6] packet: Add GSO/checksum offload support to af_packet sockets

From: Rusty Russell <[email-masked]>
Date: Wed, 27 Jan 2010 12:22:48 +1030

On Wed, 27 Jan 2010 07:00:19 am Sridhar Samudrala wrote:
> This patch adds GSO/checksum offload to af_packet sockets using
> virtio_net_hdr. Based on Rusty's patch to add this support to tun.
> It allows GSO/checksum offload to be enabled when using raw socket
> backend with virtio_net.
> Adds PACKET_VNET_HDR socket option to prepend virtio_net_hdr in the
> receive path and process/skip virtio_net_hdr in the send path. This
> option is only allowed with SOCK_RAW sockets attached to ethernet
> type devices.

This is really MST's baby, so I'm going to defer to his wisdom on this...

Cheers,
Rusty.